{"full_name":"rust-lang/rust","owner":"rust-lang","name":"rust","url":"https://github.com/rust-lang/rust","description":"Empowering everyone to build reliable and efficient software.","homepage":"https://www.rust-lang.org","topics":[],"language":"Rust","license":"Apache-2.0","avatar":"https://avatars.githubusercontent.com/u/5430905?v=4","created_at":"2010-06-16T20:39:03Z","pushed_at":"2026-11-10T09:17:14Z","metrics":{"stars":121713,"forks":16619,"watchers":1573,"issues":64623,"prs":100392,"releases":157,"issues_open":null,"issues_closed":null,"prs_open":null,"prs_closed":null,"prs_merged":null,"discussions":0},"growth":{"day":{"stars":48,"forks":-483,"base_day":"2026-11-09"}},"history":{"dates":["2026-11-09","2026-11-10"],"stars":[121665,121713],"forks":[17102,16619],"watchers":[1573,1573],"issues_open":[null,null],"prs_open":[null,null]},"boards":{"total":99},"same_owner":[{"full_name":"rust-lang/book","name":"book","boards":{}},{"full_name":"rust-lang/cargo","name":"cargo","boards":{}},{"full_name":"rust-lang/futures-rs","name":"futures-rs","boards":{}},{"full_name":"rust-lang/rust-analyzer","name":"rust-analyzer","boards":{}},{"full_name":"rust-lang/rustlings","name":"rustlings","boards":{}}],"issues":[{"number":31844,"title":"Tracking issue for specialization (RFC 1210)","comments":323,"created_at":"2016-02-23T17:35:55Z"},{"number":43467,"title":"Tracking issue for RFC 1861: Extern types","comments":293,"created_at":"2017-07-25T04:12:37Z"},{"number":81513,"title":"Tracking Issue for pointer metadata APIs","comments":202,"created_at":"2021-01-29T12:42:03Z"},{"number":130703,"title":"Tracking Issue for secure random data generation in `std`","comments":196,"created_at":"2024-09-22T14:27:32Z"},{"number":63063,"title":"Tracking issue for RFC 2515, \"Permit impl Trait in type aliases\"","comments":178,"created_at":"2019-07-28T06:12:00Z"},{"number":110998,"title":"Tracking Issue for `ascii::Char` (ACP 179)","comments":176,"created_at":"2023-04-29T19:59:34Z"},{"number":88581,"title":"Tracking Issue for `int_roundings`","comments":176,"created_at":"2021-09-02T05:24:48Z"},{"number":43122,"title":"Tracking issue for RFC 2033: Experimentally add coroutines to Rust","comments":170,"created_at":"2017-07-08T15:56:48Z"}],"discussions":[],"latest_release":{"name":"Rust 1.99.1","tag":"1.99.1","published_at":"2026-10-16T04:47:44Z","body":"<a id=\"1.99.1\"></a>\n\n- [library: fix missing symbol `wcslen` on UEFI and embedded targets](https://github.com/rust-lang/rust/issues/163614)\n- [rustc: fix miscompilation of FFI `bool` return values on x86\\_64](https://github.com/rust-lang/rust/issues/163911)\n- [rust-lld: add the rpath for `libLLVM` on macOS](https://github.com/rust-lang/rust/issues/163947)\n"},"readme":true,"readme_zh":false,"news":[{"title":"Tell HN: Google removes rust, Netflix, other GitHub repos after DMCA takedown","url":"https://news.ycombinator.com/item?id=8848509","hn":"https://news.ycombinator.com/item?id=8848509","source":"Hacker News","lang":"en","date":"2015-01-07","points":163,"comments":1},{"title":"Tell HN: Rust Is Complex","url":"https://news.ycombinator.com/item?id=33587473","hn":"https://news.ycombinator.com/item?id=33587473","source":"Hacker News","lang":"en","date":"2022-11-13","points":107,"comments":93},{"title":"Ask HN: Why don't file systems and OS's provide file system transactions?","url":"https://news.ycombinator.com/item?id=32200007","hn":"https://news.ycombinator.com/item?id=32200007","source":"Hacker News","lang":"en","date":"2022-07-23","points":62,"comments":31},{"title":"Tell HN: GitHub – “This comment has been minimized. Sign in to view”","url":"https://news.ycombinator.com/item?id=33215401","hn":"https://news.ycombinator.com/item?id=33215401","source":"Hacker News","lang":"en","date":"2022-10-15","points":21,"comments":25},{"title":"Rust website design qualm","url":"https://news.ycombinator.com/item?id=18634254","hn":"https://news.ycombinator.com/item?id=18634254","source":"Hacker News","lang":"en","date":"2018-12-08","points":6,"comments":1},{"title":"Taking suggestions for the new Rust FAQ","url":"https://news.ycombinator.com/item?id=10201150","hn":"https://news.ycombinator.com/item?id=10201150","source":"Hacker News","lang":"en","date":"2015-09-10","points":6,"comments":0},{"title":"Ask HN: How to make Rust release binaries reproducible/private?","url":"https://news.ycombinator.com/item?id=25622305","hn":"https://news.ycombinator.com/item?id=25622305","source":"Hacker News","lang":"en","date":"2021-01-03","points":3,"comments":0},{"title":"Tokio releases Topcoat: A batteries-included full-stack Rust framework","url":"https://news.lavx.hu/article/tokio-releases-topcoat-a-batteries-included-full-stack-rust-framework","source":"news.lavx.hu","lang":"en","date":"2026-11-09"},{"title":"Fans port Minecraft to Rust, and here's how you can play it","url":"https://www.sportskeeda.com/minecraft/fans-port-minecraft-rust-horizon-launcher-can-play","source":"Sportskeeda","lang":"en","date":"2026-11-07"},{"title":"[GitHub Daily] Rust-based Spotify client spotifast debuts, agent-desktop tops for 3 consecutive days — 2026-11-05","url":"https://note.com/coderadar/n/n46d7bc27883f?hl=en","source":"note","lang":"en","date":"2026-11-04"},{"title":"[GitHub Daily] Rust-based headless browser moli debuts, agent-desktop tops for 2 consecutive days with +3,792 — 2026-11-04","url":"https://note.com/coderadar/n/nbb6450af9afa?hl=en","source":"note","lang":"en","date":"2026-11-03"},{"title":"Proton VPN 8.0 is coming to iPhone — and it could be the app's biggest upgrade in years","url":"https://www.msn.com/en-us/technology/software/proton-vpn-8-0-is-coming-to-iphone-and-it-could-be-the-app-s-biggest-upgrade-in-years/ar-AA2gGA6l","source":"TechRadar on MSN","lang":"en","date":"2026-11-03"},{"title":"GitHub 1.7萬顆星開源軟體 PhotoCraft 企圖取代 Photoshop","url":"https://news.ltn.com.tw/news/aichannel/breakingnews/5599942","source":"自由時報","lang":"zh","date":"2026-10-08"},{"title":"Git 3.0 Will Require Rust Compiler, Sparking Platform Compatibility Debate","url":"https://finance.biggo.com/news/202509201913_Git_3.0_Will_Require_Rust_Compiler","source":"finance.biggo","lang":"en","date":"2025-09-20"},{"title":"GitHub built a new search engine for code ‘from scratch’ in Rust","url":"https://www.zdnet.com/article/github-builds-a-search-engine-for-code-from-scratch-in-rust/","source":"ZDNet","lang":"en","date":"2023-02-09"},{"title":"Microsoft opens up Rust-inspired Project Verona programming language on GitHub","url":"https://www.zdnet.com/article/microsoft-opens-up-rust-inspired-project-verona-programming-language-on-github/","source":"ZDNet","lang":"en","date":"2020-01-17"},{"title":"GitHub Copilot 从 TypeScript 迁移到 Rust：性能优化与渐进式迁移实践","url":"https://news.google.com/rss/articles/CBMiX0FVX3lxTE1fTnhQY3ZMZ3UxNDZYbEMwT1cxWWFfQ0U4TWZLeUY1NlJSVlRCZFE1ZXJGTHJaR2NDTlV6T0RmZDVOdnE4aW40SnpDa3BhVTRhQzRJcXU0aG9YWE05Ymg4?oc=5","source":"CSDN","lang":"zh","date":"2026-11-09"},{"title":"GitHub日榜是技术趋势雷达，不是项目收藏夹","url":"https://news.google.com/rss/articles/CBMiXkFVX3lxTE41cmd2cEg0SFN3N05pejVCR01FbWF4NG5zeUU5TGNaeFBaUzlBT054RUxwZHdUVVVTQ1ZVV2xvYklRQVFVUjRDWGNhSW1FaVpfSHZSSGNYLV9HdTlTN0E?oc=5","source":"CSDN","lang":"zh","date":"2026-11-09"},{"title":"GitHub周榜：开发者技术选型的信号雷达与工程落地指南","url":"https://news.google.com/rss/articles/CBMiXkFVX3lxTE9TcGdodFllbVZsNVVQd3BnU29DXzkwSEFES1phUVJZakx3TXMwZTJqNDZVMm5qNTVRSmtsazd4bjBSV2pzUk9maTdXblBXM2t0dlhQU2RYb0VfRkthbXc?oc=5","source":"CSDN","lang":"zh","date":"2026-11-09"},{"title":"GitHub九月月榜深度解读：Agent评估、LLM上下文、Rust嵌入与Python分发四大拐点","url":"https://news.google.com/rss/articles/CBMiX0FVX3lxTE9lTV90d2JnNTdPbU81WHJQV0dpZzNPYUx4d2xRQUU5bzhjYkFuVXFLdjJRMW1ma205WHU0VjMybTFsbVEtdHpmY2lad2JaMjF0djJkcEQ1bDZyWlY1Vjgw?oc=5","source":"CSDN","lang":"zh","date":"2026-11-08"},{"title":"GitHub Copilot 运行时迁移到 Rust 的技术实践与启示","url":"https://news.google.com/rss/articles/CBMiX0FVX3lxTFB3TGZ3eUVfQkl4cDlXbE1mSktzUHZpU05jM0ZhQXVHbE1RVThlVHJmd1R3RDNXSk4zNWJZYXhwVDNHYzQzTWJTZ3FEZDZyR2hmSHoweV8tVnRzYWo0YTg4?oc=5","source":"CSDN","lang":"zh","date":"2026-11-06"},{"title":"GitHub 通过 AI 辅助重构，将 Copilot 运行时迁移至 Rust","url":"https://news.google.com/rss/articles/CBMiXkFVX3lxTE5XbUROX0xDeWlCUUxaOHMxdzlGSVNnZnotOVRhWnh6ZHZSZGRjRVFTREJ6a3BWRWVpSVpjUU1pa0RKWXNLR0VvMVVqeHdXb29MVDJCbm9oVlFpeDZCckE?oc=5","source":"InfoQ.cn","lang":"zh","date":"2026-10-22"},{"title":"GitHub与Anthropic用AI智能体改写Rust代码，方法各异-AI应用","url":"https://news.google.com/rss/articles/CBMib0FVX3lxTE80b0VyR3U3Y3d3NS1RUHpBQ2RfQUV0SFVnSUJSWTE0Rk5lSkV0cnI2SmE1MGdsbXcxZG41S29rSjF5OUpqRHhMUFg1WTB5aDRwc2tzS0pKcm5tdkhnd1BCWmpIMHpPQzR3SUVZdkhFWQ?oc=5","source":"至顶网","lang":"zh","date":"2026-10-14"},{"title":"Github Migrates Copilot Runtime to Rust with AI-Assisted Rewrite","url":"https://news.google.com/rss/articles/CBMic0FVX3lxTFBlTTZnc2VYVmF4bUh5VnY4VmxZX2JieWF2cUIyNzR5Y0dvdEZBMjJVOUxOMUYzakwwRFJ3MnFpRGdsWkJhRGJ0NnlSOEVaYU9seVJGSFo4RzJYUU80MDdudmNsRjM2MF9fVmozNmg1UDJtT00?oc=5","source":"infoq.com","lang":"en","date":"2026-10-09"},{"title":"Someone Vibe Coded a Free Knockoff of Adobe Creative Suite","url":"https://news.google.com/rss/articles/CBMikwFBVV95cUxNbmpBM0FIY1Fvd1RsREtxempIMVlHUmw2UnBXWlowVjhtUDFGb3lBc0I2ZGhpVWJYQUNZbU1TYmo0NFQ5ZWFaRmZ5azhSTmdtM3BsME9neGNkcThud2pTTV9CWTA3dFdCTFdZdXBjZm1VeG5WbzVXeWpnSzN3U2t3TU1hSE5SeHRYa1BDdGJmV3dpNUk?oc=5","source":"Gizmodo","lang":"en","date":"2026-10-07"},{"title":"GitHub and Anthropic used their own agents for major Rust rewrites - but with very different playbooks","url":"https://news.google.com/rss/articles/CBMicEFVX3lxTFBEZ0VLMF9tdTRFUHAxREx2UEtvZGdJdWJkNmZhbDZyNW9tMWU5NVdhV3JQSUw5ZnNaajhtcGVXOGdyNFJYUnc0UmJvaGNuR1NvYjFNbHVLRWxYMzI2dW1wX2pFWXcyTjJJajZiMFBlTDc?oc=5","source":"The New Stack","lang":"en","date":"2026-09-17"},{"title":"Migrating the GitHub Copilot runtime to Rust, using Copilot","url":"https://news.google.com/rss/articles/CBMipgFBVV95cUxNNlR1aWxicHI0NWRJRjFhUS13MlJrcHpYSjBISWl6X25MQUpEYjVXT2JmQXpJSDFMeUd0dFpfS1R1QmlBdXRNZTNYNGtUR0U4cTJaVFB3bk9wUk9sQXd2VEYzUzByM1U4Vy1nTE5NN2lueDA3STF1ZjE5dnlEZXFLOUpiNWxUQXc1NDdtVGRydThxUlJXM2RVNVFzOEpMdkVrdWpvLVl3?oc=5","source":"The GitHub Blog","lang":"en","date":"2026-09-16"},{"title":"Git 2.55 Released With Rust Support Enabled By Default, git history fixup","url":"https://news.google.com/rss/articles/CBMiW0FVX3lxTE9TYWpLX1VFWnU5QVNKbmhRcFc4VFpDWHhxMDlPRDhhcWU3dzlDRExtZy1UR3BiT05NVVR0NTRvYWFGR3E3NVF2bWhsUFR4Tks3Qi1adHZZNXFob1E?oc=5","source":"Phoronix","lang":"en","date":"2026-06-29"}],"stale":false,"snapshot_at":"2026-11-10T09:35:25Z","history_start":"2026-09-06"}